## GgitStatusOptions GgitStatusOptions |

## Functions

GgitStatusOptions * | ggit_status_options_copy ()
void | ggit_status_options_free ()
GgitStatusOptions * | ggit_status_options_new ()

## Types and Values

enum | GgitStatusOption
enum | GgitStatusShow

## Object Hierarchy

        GEnum
        ╰── GgitStatusShow
        GFlags
        ╰── GgitStatusOption

## Description

## Functions

### ggit_status_options_copy ()

    GgitStatusOptions *
    ggit_status_options_copy (GgitStatusOptions *status_options);

Copies `status_options` into a newly allocated GgitStatusOptions.

#### Parameters

status_options | a GgitStatusOptions. |

#### Returns

a newly allocated GgitStatusOptions or `NULL`.

[transfer full][nullable]

### ggit_status_options_free ()

    void
    ggit_status_options_free (GgitStatusOptions *status_options);

Frees `status_options` .

#### Parameters

status_options | a GgitStatusOptions. |

### ggit_status_options_new ()

    GgitStatusOptions *
    ggit_status_options_new (GgitStatusOption options,
                             GgitStatusShow show,
                             const gchar **pathspec);

Creates a new GgitStatusOptions for use in ggit_repository_stash_foreach.

#### Parameters

options | status options. |
show | status show options. |
pathspec | which paths to show, defaults to showing all paths. | [allow-none][array zero-terminated=1]

#### Returns

a newly allocated GgitStatusOptions.

## Types and Values

### enum GgitStatusOption

Status options specified when using ggit_repository_file_status_foreach.

#### Members

GGIT_STATUS_OPTION_INCLUDE_UNTRACKED |  |
GGIT_STATUS_OPTION_INCLUDE_IGNORED |  |
GGIT_STATUS_OPTION_INCLUDE_UNMODIFIED |  |
GGIT_STATUS_OPTION_EXCLUDE_SUBMODULES |  |
GGIT_STATUS_OPTION_RECURSE_UNTRACKED_DIRS |  |
GGIT_STATUS_OPTION_DISABLE_PATHSPEC_MATCH |  |
GGIT_STATUS_OPTION_RECURSE_IGNORED_DIRS |  |
GGIT_STATUS_OPTION_RENAMES_HEAD_TO_INDEX |  |
GGIT_STATUS_OPTION_RENAMES_INDEX_TO_WORKDIR |  |
GGIT_STATUS_OPTION_SORT_CASE_SENSITIVELY |  |
GGIT_STATUS_OPTION_SORT_CASE_INSENSITIVELY |  |
GGIT_STATUS_OPTION_DEFAULT |  |

### enum GgitStatusShow

Show options for ggit_repository_file_status_foreach. Determines which files are included in the status.

#### Members

GGIT_STATUS_SHOW_INDEX_AND_WORKDIR | receive one callback for each file, even if the file is in both the index and the workdir (combining GgitStatusFlags). |
GGIT_STATUS_SHOW_INDEX_ONLY | only receive callbacks for files in the index. |
GGIT_STATUS_SHOW_WORKDIR_ONLY | only receive callbacks for files in the workdir. |